Package org.springframework.beans.factory.support

# Class ManagedProperties

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<Object,Object>
java.util.Properties
org.springframework.beans.factory.support.ManagedProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`, `BeanMetadataElement`, `Mergeable`

public class ManagedProperties extends Properties implements Mergeable, BeanMetadataElement
Tag class which represents a Spring-managed `Properties` instance that supports merging of parent/child definitions.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.Properties

`defaults`

## Constructor Summary

Constructors
Constructor
Description
`ManagedProperties()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getSource()`
Return the configuration source `Object` for this metadata element (may be `null`).
`boolean`
`isMergeEnabled()`
Is merging enabled for this particular instance?
`Object`
`merge(Object parent)`
Merge the current value set with that of the supplied object.
`void`
`setMergeEnabled(boolean mergeEnabled)`
Set whether merging should be enabled for this collection, in case of a 'parent' collection value being present.
`void`
`setSource(Object source)`
Set the configuration source `Object` for this metadata element.

### Methods inherited from class java.util.Properties

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, getProperty, getProperty, hashCode, isEmpty, keys, keySet, list, list, load, load, loadFromXML, merge, propertyNames, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, save, setProperty, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ManagedProperties

public ManagedProperties()

## Method Details

### setSource

public void setSource(@Nullable Object source)
Set the configuration source `Object` for this metadata element.

The exact type of the object will depend on the configuration mechanism used.

### getSource

@Nullable public Object getSource()
Description copied from interface: `BeanMetadataElement`
Return the configuration source `Object` for this metadata element (may be `null`).

Specified by:
  `getSource` in interface `BeanMetadataElement`

### setMergeEnabled

public void setMergeEnabled(boolean mergeEnabled)
Set whether merging should be enabled for this collection, in case of a 'parent' collection value being present.

### isMergeEnabled

public boolean isMergeEnabled()
Description copied from interface: `Mergeable`
Is merging enabled for this particular instance?

Specified by:
  `isMergeEnabled` in interface `Mergeable`

### merge

public Object merge(@Nullable Object parent)
Description copied from interface: `Mergeable`
Merge the current value set with that of the supplied object.

The supplied object is considered the parent, and values in the callee's value set must override those of the supplied object.

Specified by:
  `merge` in interface `Mergeable`
Parameters:
  `parent` - the object to merge with
Returns:
  the result of the merge operation